net.minecraftforge.liquids

## Class LiquidTank

- java.lang.Object
- - net.minecraftforge.liquids.LiquidTank

- All Implemented Interfaces:
    ILiquidTank

  Deprecated.

      @Deprecated
      public class LiquidTank
      extends Object
      implements ILiquidTank

  Reference implementation of ILiquidTank. Use this or implement your own.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquidTank(int capacity)` Deprecated.
    `LiquidTank(int liquidId, int quantity, int capacity)` Deprecated.
    `LiquidTank(int liquidId, int quantity, int capacity, TileEntity tile)` Deprecated.
    `LiquidTank(LiquidStack liquid, int capacity)` Deprecated.
    `LiquidTank(LiquidStack liquid, int capacity, TileEntity tile)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsValidLiquid()` Deprecated.
    `LiquidStack` | `drain(int maxDrain, boolean doDrain)` Deprecated.
    `int` | `fill(LiquidStack resource, boolean doFill)` Deprecated.
    `int` | `getCapacity()` Deprecated.
    `LiquidStack` | `getLiquid()` Deprecated.
    `String` | `getLiquidName()` Deprecated.
    `int` | `getTankPressure()` Deprecated. Positive values indicate a positive liquid pressure (liquid wants to leave this tank) Negative values indicate a negative liquid pressure (liquid wants to fill this tank) Zero indicates no pressure
    `LiquidTank` | `readFromNBT(NBTTagCompound nbt)` Deprecated.
    `void` | `setCapacity(int capacity)` Deprecated.
    `void` | `setLiquid(LiquidStack liquid)` Deprecated.
    `void` | `setTankPressure(int pressure)` Deprecated.
    `NBTTagCompound` | `writeToNBT(NBTTagCompound nbt)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiquidTank

          public LiquidTank(int capacity)

      Deprecated.

    - #### LiquidTank

          public LiquidTank(int liquidId,
                    int quantity,
                    int capacity)

      Deprecated.

    - #### LiquidTank

          public LiquidTank(int liquidId,
                    int quantity,
                    int capacity,
                    TileEntity tile)

      Deprecated.

    - #### LiquidTank

          public LiquidTank(LiquidStack liquid,
                    int capacity)

      Deprecated.

    - #### LiquidTank

          public LiquidTank(LiquidStack liquid,
                    int capacity,
                    TileEntity tile)

      Deprecated.

  - ### Method Detail

    - #### getLiquid

          public LiquidStack getLiquid()

      Deprecated.
      Specified by:
        `getLiquid` in interface `ILiquidTank`
      Returns:
        LiquidStack representing the liquid contained in the tank, null if empty.

    - #### getCapacity

          public int getCapacity()

      Deprecated.
      Specified by:
        `getCapacity` in interface `ILiquidTank`
      Returns:
        capacity of this tank

    - #### setLiquid

          public void setLiquid(LiquidStack liquid)

      Deprecated.

    - #### setCapacity

          public void setCapacity(int capacity)

      Deprecated.

    - #### fill

          public int fill(LiquidStack resource,
                 boolean doFill)

      Deprecated.
      Specified by:
        `fill` in interface `ILiquidTank`
      Returns:
        Amount of liquid used for filling.

    - #### drain

          public LiquidStack drain(int maxDrain,
                          boolean doDrain)

      Deprecated.
      Specified by:
        `drain` in interface `ILiquidTank`
      Returns:
        Null if nothing was drained, otherwise a LiquidStack containing the drained.

    - #### getTankPressure

          public int getTankPressure()

      Deprecated.
      Description copied from interface: `ILiquidTank`
      Positive values indicate a positive liquid pressure (liquid wants to leave this tank) Negative values indicate a negative liquid pressure (liquid wants to fill this tank) Zero indicates no pressure
      Specified by:
        `getTankPressure` in interface `ILiquidTank`
      Returns:
        a number indicating tank pressure

    - #### setTankPressure

          public void setTankPressure(int pressure)

      Deprecated.

    - #### getLiquidName

          public String getLiquidName()

      Deprecated.

    - #### containsValidLiquid

          public boolean containsValidLiquid()

      Deprecated.

    - #### writeToNBT

          public NBTTagCompound writeToNBT(NBTTagCompound nbt)

      Deprecated.

    - #### readFromNBT

          public LiquidTank readFromNBT(NBTTagCompound nbt)

      Deprecated.